脚本宝典收集整理的这篇文章主要介绍了

deepin15.4.1编译安装nodejs

脚本宝典小编觉得挺不错的,现在分享给大家,也给大家做个参考,希望能帮助你少写一行代码,多一份安全和惬意。

假设你的电脑可以使用git,而你又有足够的时间(安装大概需要半个小时),请看步骤如下:

获取nodejs源码

sudo git clone https://github.com/nodejs/node.git

修改目录权限

sudo chmod -R 755 node

使用 ./configure创建编译文件

cd node

sudo ./configure

sudo make

sudo make install

检查node版本

node -v

我在进行sudo ./configure操作时出现了一个错误,内容为 **WARNING: failed to autodetect C++ compiler version (CXX=g++)**。此时要执行 apt-get install build-essential操作来安装C++编译器,之后再进行sudo ./configure操作。注意sudo make操作耗时大概要半个小时,请耐心等待。

安装成功可使用node -v检查版本号,新版本的node自带npm,你可以选择喜欢的npm包进行安装。

这种方法比使用apt-get得到的版本新很多,但安装严重不便,并且是不太稳定的pre版。建议安装完成进行以下操作:

sudo npm install -g n (安装n,相信我,真的很方便)

sudo n 8.9.3 (安装指定版本,8.9.3为指定的版本号)

sudo n stable(默认升级到最新stable版)

然后就可以快乐地使用nodejs了。

总结

以上是脚本宝典为你收集整理的

deepin15.4.1编译安装nodejs

全部内容,希望文章能够帮你解决

deepin15.4.1编译安装nodejs

所遇到的程序开发问题,欢迎加入QQ群277859234一起讨论学习。如果觉得脚本宝典网站内容还不错,欢迎将脚本宝典网站推荐给程序员好友。 本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。如您有任何意见或建议可联系处理。小编QQ:384754419,请注明来意。

80%的人都看过